Bug 232345 - net-p2p/rslsync: Update to 2.6.1
Summary: net-p2p/rslsync: Update to 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-17 07:55 UTC by Volodymyr Kostyrko
Modified: 2018-11-12 10:22 UTC (History)
2 users (show)

See Also:
joshruehlig: maintainer-feedback+


Attachments
full port patch (1.38 KB, patch)
2018-10-17 07:55 UTC, Volodymyr Kostyrko
no flags Details | Diff
patch with fix for .sync directory (2.12 KB, patch)
2018-10-19 09:13 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2018-10-17 07:55:49 UTC
Created attachment 198261 [details]
full port patch

Changes:

Security fix with btsync:// protocol
Fixed crashes when reading damaged database
Removed false positive "Cannot get list of trackers" error message
Fixed joining multicasts on 172.16.0.0/12 networks
Fixed failure to save settings in WebUI sometimes
Fixed decrypting files on encrypted peer

Introduced performance charts
New Sync statuses and warnings
Advanced power user settings
Added $RECYCLE.BIN and SystemVolume Information to default Ignorelist.
Made file sharing a free feature
Ability upgrade Home Pro to Family Pro from Sync UI
Added API feature to Sync Business Trial

Fixed folders turning to synchronization mode in some cases
Preserve speed settings when restarting Sync
Fixed adding advanced settings via API
Fixed randomization of MAC address in Sync UI
Fixed syncing trailing dot to a Windows peer
Fixed crash because of corrupt database
Fixed some other crashes and freezes
Fixed inability to reset power user settings
Fixed creating conflict name on file name with %
FileDelayConfig now works on posix
Security vulnerability fix

UI rearrangements and improvements
Other minor fixes and improvements
Comment 1 joshruehlig 2018-10-18 10:41:27 UTC
Looks good thanks
Comment 3 joshruehlig 2018-10-19 09:13:58 UTC
Created attachment 198353 [details]
patch with fix for .sync directory

Thanks for bringing up the build error. I didn't notice it on my system just building with 'make'
Comment 4 joshruehlig 2018-10-19 09:14:48 UTC
Comment on attachment 198261 [details]
full port patch

Replaced to fix new .sync directory creation.
Comment 5 Jochen Neumeister freebsd_committer 2018-10-23 09:20:50 UTC
Which one is the right patch? ^^
Comment 6 commit-hook freebsd_committer 2018-11-10 19:23:37 UTC
A commit references this bug:

Author: joneum
Date: Sat Nov 10 19:23:00 UTC 2018
New revision: 484634
URL: https://svnweb.freebsd.org/changeset/ports/484634

Log:
  Update to 2.6.1

  Changelog:
  - Security fix with btsync:// protocol
  - Fixed crashes when reading damaged database
  - Removed false positive "Cannot get list of trackers" error message
  - Fixed joining multicasts on 172.16.0.0/12 networks
  - Fixed showing duplicated peers and devices on OS X
  - Fixed failure to save settings in WebUI sometimes
  - Fixed decrypting files on encrypted peer

  Changelog: https://help.resilio.com/hc/en-us/articles/206216855-Sync-2-x-change-log

  PR:		232345
  Reported by:	Volodymyr Kostyrko <arcade@b1t.name> (maintainer)
  MFH:		2018Q4
  Sponsored by:	Netzkommune GmbH

Changes:
  head/net-p2p/rslsync/Makefile
  head/net-p2p/rslsync/distinfo
Comment 7 commit-hook freebsd_committer 2018-11-12 10:19:49 UTC
A commit references this bug:

Author: joneum
Date: Mon Nov 12 10:19:22 UTC 2018
New revision: 484797
URL: https://svnweb.freebsd.org/changeset/ports/484797

Log:
  MFH: r484634

  Update to 2.6.1

  Changelog:
  - Security fix with btsync:// protocol
  - Fixed crashes when reading damaged database
  - Removed false positive "Cannot get list of trackers" error message
  - Fixed joining multicasts on 172.16.0.0/12 networks
  - Fixed showing duplicated peers and devices on OS X
  - Fixed failure to save settings in WebUI sometimes
  - Fixed decrypting files on encrypted peer

  Changelog: https://help.resilio.com/hc/en-us/articles/206216855-Sync-2-x-change-log

  PR:		232345
  Reported by:	Volodymyr Kostyrko <arcade@b1t.name> (maintainer)
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net-p2p/rslsync/Makefile
  branches/2018Q4/net-p2p/rslsync/distinfo